import 'package:echo_app/shared/core.session.dart';
import 'package:flutter/material.dart';

class MainImageWidget extends StatelessWidget {
  const MainImageWidget({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Stack(
      alignment: Alignment.topCenter,
      children: <Widget>[
        // Container(
        //   width: MediaQuery.of(context).size.width,
        //   padding: EdgeInsets.all(0),
        //   child: AspectRatio(
        //     aspectRatio: 1,
        //     child: Image.asset(
        //       CoreSession.rootPath + 'login2.png',
        //       fit: BoxFit.cover,
        //     ),
        //   ),
        // ),
        ClipRRect(
          child: Container(
            padding: EdgeInsets.only(top: 0, bottom: 75, left: 0, right: 0),
            child: Column(
              mainAxisAlignment: MainAxisAlignment.end,
              crossAxisAlignment: CrossAxisAlignment.center,
              children: [
                Container(
                  margin: EdgeInsets.only(bottom: 0),
                  child: Image.asset(
                    CoreSession.rootPath + 'logo.png',
                    width: 200, // MediaQuery.of(context).size.width / .5,
                    height: 200, // MediaQuery.of(context).size.height / .5,
                  ),
                ),

                // Text(
                //   "Echo",
                //   style: TextStyle(
                //     fontSize: 25,
                //     color: Colors.white,
                //     fontWeight: FontWeight.bold
                //   ),
                // )
              ],
            ),
          ),
        ),
        // SizedBox(height: 20),
        // Divider(color: Colors.black),
      ],
    );
  }
}
